Skip to navigation

Update Connect configuration

View as Markdown

Updates the specified DocuSign Connect configuration in your account.

Note: Connect must be enabled for your account to use this function. This cannot be used to update Connect configurations for Box, eOriginal, or Salesforce.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Request

This endpoint expects an object: connectCustomConfiguration

allowEnvelopePublishstringOptional

When set to true, data is sent to the urlToPublishTo web address. This option can be set to false to stop sending data while maintaining the Connect configuration information.

allUsersstringOptional

When set to true, the tracked envelope and recipient events for all users, including users that are added a later time, are sent through Connect.

configurationTypestringOptional

If merge field’s are being used, specifies the type of the merge field. The only supported value is salesforce.

connectIdstringOptional
The ID of the custom Connect configuration being accessed.
enableLogstringOptional

This turns Connect logging on or off. When set to true, logging is turned on.

envelopeEventsstringOptional

A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the url property.

To receive notifications, you must include either an envelopeEvents node or a recipientEvents node. You do not need to specify both.

includeCertificateOfCompletionstringOptional

When set to true, the Connect Service includes the Certificate of Completion with completed envelopes.

includeCertSoapHeaderstringOptional
includeDocumentFieldsstringOptional

When set to true, the Document Fields associated with the envelope’s documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API.

includeDocumentsstringOptional
reserved
includeEnvelopeVoidReasonstringOptional

When set to true, if the envelope is voided, the Connect Service notification will include the void reason, as entered by the person that voided the envelope.

includeHMACstringOptional
includeSenderAccountasCustomFieldstringOptional

When set to true, Connect will include the sender account as Custom Field in the data.

includeTimeZoneInformationstringOptional

When set to true, Connect will include the envelope time zone information.

namestringOptional
recipientEventsstringOptional

An array of recipient event statuses that will trigger Connect to send notifications to your webhook listener at the url endpoint specified in the url property.

To receive notifications, you must include either an envelopeEvents node or a recipientEvents node. You do not need to specify both.

requiresAcknowledgementstringOptional

When set to true, and SIM mode is activated:

If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the configuration is marked as down.

The message will be queued and retried once per day. While a Connect configuration is marked down, subsequent notifications will not be tried, they’ll be immediately queued with reason “Pending.” Once a message succeeds, all queued messages for the configuration will be tried immediately, in order.

There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification.

When set to true, and SIM mode is not activated:

If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the message is queued.

The message will be retried after at least a day the next time a subsequent message is successfully sent to this configuration (subscription). Subsequent notifications will be tried when they occur. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification.

signMessageWithX509CertificatestringOptional

When set to true, Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer’s web server) during the TLS handshake protocol.

soapNamespacestringOptional

The namespace of the SOAP interface.

The namespace value must be set if useSoapInterface is set to true.

urlToPublishTostringOptional

This is the web address and name of your listener or Retrieving Service endpoint. You need to include HTTPS:// in the web address.

userIdsstringOptional

A comma separated list of userIds. This sets the users associated with the tracked envelope and recipient events. When a tracked event occurs for a set user, the a notification message is sent to your Connect listener.

Note: If allUsers is set to false then you must provide a list of user ids.
useSoapInterfacestringOptional

When set to true, the notifications are sent to your endpoint as SOAP requests.

Response

Successful response.
allowEnvelopePublishstringOptional

When set to true, data is sent to the urlToPublishTo web address. This option can be set to false to stop sending data while maintaining the Connect configuration information.

allUsersstringOptional

When set to true, the tracked envelope and recipient events for all users, including users that are added a later time, are sent through Connect.

configurationTypestringOptional

If merge field’s are being used, specifies the type of the merge field. The only supported value is salesforce.

connectIdstringOptional
The ID of the custom Connect configuration being accessed.
enableLogstringOptional

This turns Connect logging on or off. When set to true, logging is turned on.

envelopeEventsstringOptional

A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the url property.

To receive notifications, you must include either an envelopeEvents node or a recipientEvents node. You do not need to specify both.

includeCertificateOfCompletionstringOptional

When set to true, the Connect Service includes the Certificate of Completion with completed envelopes.

includeCertSoapHeaderstringOptional
includeDocumentFieldsstringOptional

When set to true, the Document Fields associated with the envelope’s documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API.

includeDocumentsstringOptional
reserved
includeEnvelopeVoidReasonstringOptional

When set to true, if the envelope is voided, the Connect Service notification will include the void reason, as entered by the person that voided the envelope.

includeHMACstringOptional
includeSenderAccountasCustomFieldstringOptional

When set to true, Connect will include the sender account as Custom Field in the data.

includeTimeZoneInformationstringOptional

When set to true, Connect will include the envelope time zone information.

namestringOptional
recipientEventsstringOptional

An array of recipient event statuses that will trigger Connect to send notifications to your webhook listener at the url endpoint specified in the url property.

To receive notifications, you must include either an envelopeEvents node or a recipientEvents node. You do not need to specify both.

requiresAcknowledgementstringOptional

When set to true, and SIM mode is activated:

If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the configuration is marked as down.

The message will be queued and retried once per day. While a Connect configuration is marked down, subsequent notifications will not be tried, they’ll be immediately queued with reason “Pending.” Once a message succeeds, all queued messages for the configuration will be tried immediately, in order.

There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification.

When set to true, and SIM mode is not activated:

If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the message is queued.

The message will be retried after at least a day the next time a subsequent message is successfully sent to this configuration (subscription). Subsequent notifications will be tried when they occur. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification.

signMessageWithX509CertificatestringOptional

When set to true, Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer’s web server) during the TLS handshake protocol.

soapNamespacestringOptional

The namespace of the SOAP interface.

The namespace value must be set if useSoapInterface is set to true.

urlToPublishTostringOptional

This is the web address and name of your listener or Retrieving Service endpoint. You need to include HTTPS:// in the web address.

userIdsstringOptional

A comma separated list of userIds. This sets the users associated with the tracked envelope and recipient events. When a tracked event occurs for a set user, the a notification message is sent to your Connect listener.

Note: If allUsers is set to false then you must provide a list of user ids.
useSoapInterfacestringOptional

When set to true, the notifications are sent to your endpoint as SOAP requests.

Errors

400
Bad Request Error